HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostSubscriptionSchedulesScheduleRelease

Contains the different functions to run the operation postSubscriptionSchedulesScheduleRelease

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostSubscriptionSchedulesScheduleRelease.hs
valuepostSubscriptionSchedulesScheduleRelease
  1. :: MonadHTTP m
  2. => Text

    schedule | Constraints: Maximum length of 5000

  3. -> Maybe PostSubscriptionSchedulesScheduleReleaseRequestBody

    The request body to send

  4. -> ClientT m (Response PostSubscriptionSchedulesScheduleReleaseResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/subscription_schedules/{schedule}/release

<p>Releases the subscription schedule immediately, which will stop scheduling of its phases, but leave any existing subscription in place. A schedule can only be released if its status is <code>not_started</code> or <code>active</code>. If the subscription schedule is currently associated with a subscription, releasing it will remove its <code>subscription</code> property and set the subscription’s ID to the <code>released_subscription</code> property.</p>

Defines the object schema located at paths./v1/subscription_schedules/{schedule}/release.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postSubscriptionSchedulesScheduleRelease.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostSubscriptionSchedulesScheduleReleaseResponseError is used.

Instances2Eq, Show